Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 1724)
@@ -99,4 +99,11 @@
 state  real  RICE      ikj  misc  1  -  rd   "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
 state  real  PDTZ      ikj  misc  1  -  rd   "PDT"       "TEMP TENDENCY"                   "K s-1"   #SAVEMARS3 pdt
+state  real  HR_SW     ikj   misc  1  -  -  "HR_SW"     "HEATING RATE SW"                 "K/s"
+state  real  HR_LW     ikj   misc  1  -  -  "HR_LW"     "HEATING RATE LW"                 "K/s"
+state  real  HR_DYN     ikj   misc  1  -  -  "HR_DYN"     "HEATING RATE DYN"                 "K/s"
+state  real  DDT     ikj   misc  1  -  -  "DDT"     "TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_RAD     ikj   misc  1  -  -  "DT_RAD"     "RADIATIVE TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_VDF     ikj   misc  1  -  -  "DT_VDF"     "PBL CLMAIN TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_AJS     ikj   misc  1  -  -  "DT_AJS"     "AJUSTEMENT SEC TEMPERATURE TENDENCY"                 "K/s"
 ####
 ####
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys	(revision 1724)
@@ -82,4 +82,10 @@
 state  real  HR_SW     ikj   misc  1  -  -  "HR_SW"     "HEATING RATE SW"                 "K/s"
 state  real  HR_LW     ikj   misc  1  -  -  "HR_LW"     "HEATING RATE LW"                 "K/s"
+state  real  HR_DYN     ikj   misc  1  -  -  "HR_DYN"     "HEATING RATE DYN"                 "K/s"
+state  real  DDT     ikj   misc  1  -  -  "DDT"     "TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_RAD     ikj   misc  1  -  -  "DT_RAD"     "RADIATIVE TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_VDF     ikj   misc  1  -  -  "DT_VDF"     "PBL CLMAIN TEMPERATURE TENDENCY"                 "K/s"
+state  real  DT_AJS     ikj   misc  1  -  -  "DT_AJS"     "AJUSTEMENT SEC TEMPERATURE TENDENCY"                 "K/s"
+
 state  real  SWDOWNZ    ij   misc  1  -  -  "SWDOWNZ"   "DOWNWARD SW FLUX AT SURFACE"     "W m-2"
 #### DUST CYCLE
@@ -96,4 +102,5 @@
 state  real  ZMAX       ij   misc  1  -  -  "ZMAX"      "MAXIMUM LEVEL THERMALS"          "m"
 state  real  HFMAX      ij   misc  1  -  -  "HFMAX"     "MAXIMUM PBL HEAT FLUX"           "m.K/s"
+
 ####
 ####
@@ -303,5 +310,5 @@
 state    real   t_save         ikj     dyn_em      1         -               "t_save"
 #                                               
-
+state    real   tz_init        ikj     dyn_em      1         -      ir       "tz_init" "initial potential temperature" "K"
 
 # Mass
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_big_step_utilities_em.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_big_step_utilities_em.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_big_step_utilities_em.F	(revision 1724)
@@ -14,4 +14,5 @@
 
    USE module_domain, ONLY : domain
+   USE module_configure
    USE module_model_constants
    USE module_state_description
@@ -4475,5 +4476,10 @@
       p_phy(i,k,j) = p(i,k,j) + pb(i,k,j)
       pi_phy(i,k,j) = (p_phy(i,k,j)/p1000mb)**rcp
-      t_phy(i,k,j) = th_phy(i,k,j)*pi_phy(i,k,j)
+      IF (planet.eq. "venus" ) THEN 
+      !call tpot2t(1,th_phy(i,k,j), t_phy(i,k,j), pi_phy(i,k,j))
+        t_phy(i,k,j)= (th_phy(i,k,j)**nu - nu*(TT00**nu)*log((p1000mb/p_phy(i,k,j))**rcp))**(1/nu)
+      ELSE
+        t_phy(i,k,j) = th_phy(i,k,j)*pi_phy(i,k,j)
+      ENDIF
       rho(i,k,j) = 1./alt(i,k,j)*(1.+moist(i,k,j,P_QV))
       mu_3d(i,k,j) = mu(i,j)
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_first_rk_step_part1.F	(revision 1724)
@@ -650,4 +650,9 @@
      &       ,HR_SW=grid%HR_SW   &
      &       ,HR_LW=grid%HR_LW   &
+     &       ,HR_DYN=grid%HR_DYN   &
+     &       ,DDT=grid%DDT  &
+     &       ,DT_RAD=grid%DT_RAD  &
+     &       ,DT_VDF=grid%DT_VDF  &
+     &       ,DT_AJS=grid%DT_AJS  &
      &       ,SWDOWNZ=grid%SWDOWNZ   &
      &       ,TAU_DUST=grid%TAU_DUST   &
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F	(revision 1724)
@@ -86,5 +86,5 @@
 
    INTEGER, PARAMETER :: nl_max = 1000
-   REAL, DIMENSION(nl_max) :: zk, p_in, theta, rho, u, v, qv, pd_in
+   REAL, DIMENSION(nl_max) :: zk, p_in, theta, Tz, rho, u, v, qv, pd_in
    INTEGER :: nl_in
 
@@ -116,5 +116,9 @@
  ! for mode 3
  REAL, DIMENSION(nl_max) :: profdustq,profdustn
- REAL, DIMENSION(nl_max) :: prescribed_sw,prescribed_lw
+ REAL, DIMENSION(nl_max) :: hrsw,hrlw,hrdyn
+ REAL, DIMENSION(nl_max) :: trac
+ REAL, DIMENSION(nl_max) :: prescribed_sw,prescribed_lw,prescribed_dyn
+ REAL, DIMENSION(nl_max) :: venus_hrdyn
+ REAL, DIMENSION(nl_max) :: altitude
 !!MARS
 
@@ -123,11 +127,8 @@
       !INTEGER :: hypsometric_opt = 2 ! Wee et al. 2012 correction
 
-character(len=10) :: planet
 
 #ifdef DM_PARALLEL
 #    include <data_calls.inc>
 #endif
- 
-   call init_planet_constants
 
    SELECT CASE ( model_data_order )
@@ -172,12 +173,12 @@
 
 
-   !stretch_grid = .false.
+   stretch_grid = .false.
 !  FOR LES, set stretch to false
-   stretch_grid = .true.
+   !stretch_grid = .true.
    delt = 3.
 !   z_scale = .50
 !   z_scale = .10
 !   z_scale = .25
-!   z_scale = .15
+!   z_scale = .1
    pi = 2.*asin(1.0)
    write(6,*) ' pi is ',pi
@@ -302,5 +303,4 @@
    grid%rdx = 1./config_flags%dx
    grid%rdy = 1./config_flags%dy
-
 !  get the sounding from the ascii sounding file, first get dry sounding and 
 !  calculate base state
@@ -310,5 +310,5 @@
   write(6,*) ' getting dry sounding for base state '
 
-  CALL get_sounding( zk, p_in, pd_in, theta, rho, u, v, qv, dry_sounding, nl_max, nl_in )
+  CALL get_sounding( zk, p_in, pd_in, theta, Tz, rho, u, v, qv, dry_sounding, nl_max, nl_in )
   ENDIF
   CALL wrf_dm_bcast_real( zk , nl_max )
@@ -316,4 +316,5 @@
   CALL wrf_dm_bcast_real( pd_in , nl_max )
   CALL wrf_dm_bcast_real( theta , nl_max )
+  CALL wrf_dm_bcast_real( Tz , nl_max )
   CALL wrf_dm_bcast_real( rho , nl_max )
   CALL wrf_dm_bcast_real( u , nl_max )
@@ -384,14 +385,17 @@
   ENDDO
 
-  xs=ide/2 -3
-  xs=ids   -3
-  xe=xs + 6
-  ys=jde/2 -3
-  ye=ys + 6
-  mtn_ht = 500
+  xs=ide/2 -25
+  !xs=ids   -3
+  !xe=xs + 6
+  xe=xs + 25
+  !ys=jde/2 -3
+  ys=jde/2 -25
+  !ye=ys + 6
+  ye=ys + 25
+  mtn_ht = 1000
 #ifdef MTN
   DO j=max(ys,jds),min(ye,jde-1)
   DO i=max(xs,ids),min(xe,ide-1)
-     grid%ht(i,j) = mtn_ht * 0.25 * &
+     grid%ht(i,j) = alt_input + mtn_ht * 0.25 * &
                ( 1. + COS ( 2*pi/(xe-xs) * ( i-xs ) + pi ) ) * &
                ( 1. + COS ( 2*pi/(ye-ys) * ( j-ys ) + pi ) )
@@ -434,5 +438,6 @@
       p_level = grid%znu(k)*(p_surf - grid%p_top) + grid%p_top
       grid%pb(i,k,j) = p_level
-      grid%t_init(i,k,j) = interp_0( theta, p_in, p_level, nl_in ) - t0
+      grid%t_init(i,k,j) = interp_0_log( theta, p_in, p_level, nl_in ) - t0
+      grid%tz_init(i,k,j) = interp_0_log( Tz, p_in, p_level, nl_in )
       grid%alb(i,k,j) = (r_d/p1000mb)*(grid%t_init(i,k,j)+t0)*(grid%pb(i,k,j)/p1000mb)**cvpm
     ENDDO
@@ -458,5 +463,4 @@
   ENDDO
   ENDDO
-
   IF ( wrf_dm_on_monitor() ) THEN
     write(6,*) ' ptop is ',grid%p_top
@@ -468,5 +472,5 @@
   write(6,*) ' getting moist sounding for full state '
   dry_sounding = .false.
-  CALL get_sounding( zk, p_in, pd_in, theta, rho, u, v, qv, dry_sounding, nl_max, nl_in )
+  CALL get_sounding( zk, p_in, pd_in, theta, Tz, rho, u, v, qv, dry_sounding, nl_max, nl_in )
 
   DO J = jts, min(jde-1,jte)
@@ -491,6 +495,6 @@
       p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
 
-      moist(i,k,j,P_QV) = interp_0( qv, pd_in, p_level, nl_in )
-      grid%t_1(i,k,j)          = interp_0( theta, pd_in, p_level, nl_in ) - t0
+      moist(i,k,j,P_QV) = interp_0_log( qv, pd_in, p_level, nl_in )
+      grid%t_1(i,k,j)          = interp_0_log( theta, pd_in, p_level, nl_in ) - t0
       grid%t_2(i,k,j)          = grid%t_1(i,k,j)
       
@@ -694,5 +698,5 @@
     DO K = 1, kte-1
       p_level = grid%znu(k)*(p_surf - grid%p_top) + grid%p_top
-      grid%v_1(i,k,j) = interp_0( v, p_in, p_level, nl_in )
+      grid%v_1(i,k,j) = interp_0_log( v, p_in, p_level, nl_in )
       grid%v_2(i,k,j) = grid%v_1(i,k,j)
     ENDDO
@@ -718,5 +722,5 @@
     DO K = 1, kte-1
       p_level = grid%znu(k)*(p_surf - grid%p_top) + grid%p_top
-      grid%u_1(i,k,j) = interp_0( u, p_in, p_level, nl_in )
+      grid%u_1(i,k,j) = interp_0_log( u, p_in, p_level, nl_in )
       grid%u_2(i,k,j) = grid%u_1(i,k,j)
     ENDDO
@@ -847,5 +851,5 @@
       DO k=1,kte-1
          p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
-         scalar(its:ite,k,jts:jte,2) = interp_0( qv, pd_in, p_level, nl_in )
+         scalar(its:ite,k,jts:jte,2) = interp_0_log( qv, pd_in, p_level, nl_in )
          scalar(its:ite,k,jts:jte,3) = 0.
            !! water ice is set to 0 (was put into water vapor when building prof from MCD)
@@ -862,6 +866,6 @@
       DO k=1,kte-1
          p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
-         scalar(its:ite,k,jts:jte,4) = interp_0( profdustq, pd_in, p_level, nl_in )
-         scalar(its:ite,k,jts:jte,5) = interp_0( profdustn, pd_in, p_level, nl_in )
+         scalar(its:ite,k,jts:jte,4) = interp_0_log( profdustq, pd_in, p_level, nl_in )
+         scalar(its:ite,k,jts:jte,5) = interp_0_log( profdustn, pd_in, p_level, nl_in )
       ENDDO
       print *, "DUST Q", scalar(its,:,jts,4)
@@ -882,6 +886,6 @@
        DO i = its, ite
          !!! we use Q2 as a vehicle for heating rates! sick!
-         grid%m_q2(i,k,j) = interp_0( profdustq, pd_in, p_level, nl_in ) &
-                          + interp_0( profdustn, pd_in, p_level, nl_in )
+         grid%m_q2(i,k,j) = interp_0_log( profdustq, pd_in, p_level, nl_in ) &
+                          + interp_0_log( profdustn, pd_in, p_level, nl_in )
        ENDDO
        ENDDO
@@ -889,19 +893,42 @@
        !print*,k,grid%m_q2(1,k,1)
     ENDDO
-    print*,'planet',planet   
+
     IF (planet.eq."prescribed") Then
-      call read_hr(profdustq,profdustn,nl_in)
+      call read_hr(hrsw,hrlw,hrdyn,nl_in)
       open(unit=17,file="prescribed_sw.txt",action="write")
       open(unit=18,file="prescribed_lw.txt",action="write")
+      open(unit=19,file="prescribed_dyn.txt",action="write")
       DO k=1,kte!-1
         p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
-        prescribed_sw(k) = interp_0( profdustq, pd_in, p_level, nl_in )
-        prescribed_lw(k) = interp_0( profdustn, pd_in, p_level, nl_in )
+        prescribed_sw(k) = interp_0_log( hrsw, pd_in, p_level, nl_in )
+        prescribed_lw(k) = interp_0_log( hrlw, pd_in, p_level, nl_in )
+        prescribed_dyn(k) = interp_0_log( hrdyn, pd_in, p_level, nl_in )
         write (17,*) prescribed_sw(k)
         write (18,*) prescribed_lw(k)
+        write (19,*) prescribed_dyn(k)
       ENDDO
+      close(unit=19)
+      close(unit=18)
       close(unit=17)
-      close(unit=18)
     ENDIF
+    
+    IF (planet.eq."venus") Then
+      call read_hr(hrsw,hrlw,hrdyn,nl_in)
+      open(unit=20,file="venus_hrdyn.txt",action="write")
+      DO k=1,kte!-1
+        p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
+        venus_hrdyn(k) = interp_0_log( hrdyn, pd_in, p_level, nl_in )
+        write (20,*) venus_hrdyn(k)
+      ENDDO
+      close(unit=20)
+    ENDIF
+
+    open(unit=21,file="altitude.txt",action="write")
+    DO k=1,kte!-1
+      p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
+      altitude(k) = interp_0_log( zk, pd_in, p_level, nl_in )
+      write (21,*) altitude(k)
+    ENDDO
+    close(unit=21)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -941,5 +968,5 @@
 !---------------------------------------------------------------------------
 
-      subroutine get_sounding( zk, p, p_dry, theta, rho, &
+      subroutine get_sounding( zk, p, p_dry, theta, Tz, rho, &
                                u, v, qv, dry, nl_max, nl_in )
       implicit none
@@ -947,5 +974,5 @@
       integer nl_max, nl_in
       real zk(nl_max), p(nl_max), theta(nl_max), rho(nl_max), &
-           u(nl_max), v(nl_max), qv(nl_max), p_dry(nl_max)
+           u(nl_max), v(nl_max), qv(nl_max), p_dry(nl_max),Tz(nl_max)
       logical dry
 
@@ -1112,4 +1139,5 @@
           v(k) = v_input(k)
           qv(k) = qv_input(k)
+          Tz(k) = t_therm(k)
 
         enddo
@@ -1198,5 +1226,5 @@
       implicit none
       integer n
-      real pdustq(n),pdustn(n)
+      real pdustq(n+1),pdustn(n+1)
       logical end_of_file
 
@@ -1223,8 +1251,8 @@
       end subroutine read_dust
 !!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-      subroutine read_hr(hr_sw,hr_lw,n)
+      subroutine read_hr(hr_sw,hr_lw,hr_dyn,n)
       implicit none
       integer n
-      real hr_sw(n),hr_lw(n)
+      real hr_sw(n+1),hr_lw(n+1),hr_dyn(n+1)
       logical end_of_file
 
@@ -1239,8 +1267,8 @@
       do while (.not. end_of_file)
 
-        read(11,*,end=103) hr_sw(k+1),hr_lw(k+1)
-        write(*,*) k,hr_sw(k+1),hr_lw(k+1)
+        read(11,*,end=103) hr_sw(k+1),hr_lw(k+1),hr_dyn(k+1)
+        write(*,*) k,hr_sw(k+1),hr_lw(k+1),hr_dyn(k+1)
         k = k+1
-        go to 113
+        go to 114
  103    end_of_file = .true.
  114    continue
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LESnophys_/modif/Registry.EM
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LESnophys_/modif/Registry.EM	(revision 1662)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LESnophys_/modif/Registry.EM	(revision 1724)
@@ -72,38 +72,35 @@
 
 
-#####MARS MARS MARS MARS MARS
-#####MARS MARS MARS MARS MARS
-##### 
-##### variables physiques ecrites dans les fichiers WRF
-##### - h indique l'ecriture
-##### - en commentaire, les variables physiques dans physiq.F
-##### - utiliser le script automatique Registry.bash
-#####
-##### YOU CAN OUTPUT ANY 2D OR 3D VARIABLE THAT IS AVAILABLE IN MESO_PHYSIQ.F
-##### --- please indicate #SAVEMARS2 for 2D fields and #SAVEMARS3 for 3D fields
-#####
-##### !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!!
-#####         THIS HAS TO BE CONSISTENT WITH $MMM/SRC/WRFV2/Registry/Registry.EM
-##### !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!! WARNING !!!!
-#####
-############# name in WRF !!!!! ############# name in NETCDF !!!! ############################################## name in meso_physiq !!!!!
-#state  real  TSURF     ij   misc  1  -  rhd  "TSURF"     "SURF TEMPERATURE"                "K"       #SAVEMARS2 tsurf
-#state  real  CO2ICE    ij   misc  1  -  rd   "CO2ICE"    "CO2 GROUND ICE"                  "kg"      #SAVEMARS2 co2ice
-#state  real  EMISSIV   ij   misc  1  -  rd   "EMISSIV"   "EMISSIVITY"                      ""        #SAVEMARS2 emis
-#state  real  THETA     ij   misc  1  -  rd   "THETA"     "SLOPE INCLINATION"               "deg"     #SAVEMARS2 theta_sl
-#state  real  PSI       ij   misc  1  -  rd   "PSI"       "SLOPE ORIENTATION"               "deg"     #SAVEMARS2 psi_sl
-#state  real  TAU_DUST  ij   misc  1  -  rd   "TAU_DUST"  "REFERENCE VISIBLE DUST OPACITY"  ""        #SAVEMARS2 tauref
-#state  real  SWDOWNZ   ij   misc  1  -  rhd  "SWDOWNZ"   "DOWNWARD SW FLUX AT SURFACE"     "W m-2"   #SAVEMARS2 fluxsurf_sw_tot      
-#state  real  LWDOWNZ   ij   misc  1  -  rhd  "LWDOWNZ"   "DOWNWARD LW FLUX AT SURFACE"     "W m-2"   #SAVEMARS2 fluxsurf_lw
-#state  real  SWUP      ij   misc  1  -  rd   "SWUP"      "UPWARD SW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_sw_tot    
-#state  real  LWUP      ij   misc  1  -  rd   "LWUP"      "UPWARD LW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_lw
-#state  real  MTOT      ij   misc  1  -  rd   "MTOT"      "TOTAL MASS WATER VAPOR"          "kg m-2"  #SAVEMARS2 mtot
-#state  real  ICETOT    ij   misc  1  -  rd   "ICETOT"    "TOTAL MASS WATER ICE"            "kg m-2"  #SAVEMARS2 icetot
-#state  real  RAVE      ij   misc  1  -  rd   "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
-#state  real  RICE      ikj  misc  1  -  rd   "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
-#####
-#####
-#####MARS MARS MARS MARS MARS
-#####MARS MARS MARS MARS MARS
+####MARS MARS MARS MARS MARS
+####MARS MARS MARS MARS MARS
+#### 
+#### variables physiques ecrites dans les fichiers WRF
+#### - h indique l'ecriture
+#### - en commentaire, les variables physiques dans physiq.F
+#### - utiliser le script automatique Registry.bash
+####
+#### YOU CAN OUTPUT ANY 2D OR 3D VARIABLE THAT IS AVAILABLE IN MESO_PHYSIQ.F
+#### --- please indicate #SAVEMARS2 for 2D fields and #SAVEMARS3 for 3D fields
+####
+############ name in WRF !!!!! ############# name in NETCDF !!!! ############################################## name in meso_physiq !!!!!
+state  real  TSURF     ij   misc  1  -  rhd  "TSURF"     "SURF TEMPERATURE"                "K"       #SAVEMARS2 tsurf
+state  real  CO2ICE    ij   misc  1  -  rd   "CO2ICE"    "CO2 GROUND ICE"                  "kg"      #SAVEMARS2 co2ice
+state  real  EMISSIV   ij   misc  1  -  rd   "EMISSIV"   "EMISSIVITY"                      ""        #SAVEMARS2 emis
+state  real  THETA     ij   misc  1  -  rd   "THETA"     "SLOPE INCLINATION"               "deg"     #SAVEMARS2 theta_sl
+state  real  PSI       ij   misc  1  -  rd   "PSI"       "SLOPE ORIENTATION"               "deg"     #SAVEMARS2 psi_sl
+state  real  TAU_DUST  ij   misc  1  -  rd   "TAU_DUST"  "REFERENCE VISIBLE DUST OPACITY"  ""        #SAVEMARS2 tauref
+state  real  SWDOWNZ   ij   misc  1  -  rhd  "SWDOWNZ"   "DOWNWARD SW FLUX AT SURFACE"     "W m-2"   #SAVEMARS2 fluxsurf_sw_tot      
+state  real  LWDOWNZ   ij   misc  1  -  rhd  "LWDOWNZ"   "DOWNWARD LW FLUX AT SURFACE"     "W m-2"   #SAVEMARS2 fluxsurf_lw
+state  real  SWUP      ij   misc  1  -  rd   "SWUP"      "UPWARD SW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_sw_tot    
+state  real  LWUP      ij   misc  1  -  rd   "LWUP"      "UPWARD LW FLUX AT TOP"           "W m-2"   #SAVEMARS2 fluxtop_lw
+state  real  MTOT      ij   misc  1  -  rd   "MTOT"      "TOTAL MASS WATER VAPOR"          "kg m-2"  #SAVEMARS2 mtot
+state  real  ICETOT    ij   misc  1  -  rd   "ICETOT"    "TOTAL MASS WATER ICE"            "kg m-2"  #SAVEMARS2 icetot
+state  real  RAVE      ij   misc  1  -  rd   "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
+state  real  RICE      ikj  misc  1  -  rd   "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
+state  real  PDTZ      ikj  misc  1  -  rd   "PDT"       "TEMP TENDENCY"                   "K s-1"   #SAVEMARS3 pdt
+####
+####
+####MARS MARS MARS MARS MARS
+####MARS MARS MARS MARS MARS
 
 ####MARS MARS MARS MARS MARS
@@ -117,6 +114,9 @@
 state  real  QH2O      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QH2O"       "Water vapor mixing ratio"   "kg kg-1"
 state  real  QH2O_ICE  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QH2O_ICE"   "Water ice mixing ratio"     "kg kg-1"
-state  real  QDUST     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QDUST"      "Dust mixing ratio"          "kg kg-1"
+state  real  qdust     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QDUST"      "Dust mixing ratio"          "kg kg-1"
+state  real  qdustn    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QDUSTN"     "Dust number density"        " m-3 "
 state  real  qtrac1    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "qtrac1"     "Decaying tracer 1"          "kg kg-1"
+state  real  upward    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "upward"     "Decaying tracer surf"       "kg kg-1"
+state  real  downward  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "downward"   "Decaying tracer zi"         "kg kg-1"
 ####
 ####
@@ -203,6 +203,8 @@
 #### variables dans real
 ####
+
 state  real   albedo_gcm_gc   ij   dyn_em  1  -  i1  "ALBEDO_GCM"       "albedo of naked ground"  "0 - 1 fraction"
 state  real   therm_inert_gc  ij   dyn_em  1  -  i1  "THERMAL_INERTIA"  "thermal inertia"         "J/m2/K/s0.5"
+state  real   z0_gc           ij   dyn_em  1  -  i1  "SURF_ROUGHNESS"   "surface roughness"       "cm"
 state  real   slpx_gc         ij   dyn_em  1  -  i1  "SLPX"             "slope x direction"       "rad"
 state  real   slpy_gc         ij   dyn_em  1  -  i1  "SLPY"             "slope y direction"       "rad"
@@ -215,21 +217,29 @@
 #### variables dans wrf
 ####
-state  real   albedo_gcm      ij   misc  1  -  i012rd  "MARS_ALB"    "albedo of naked ground"  "0 - 1 fraction"
-state  real   therm_inert     ij   misc  1  -  i012rd  "MARS_TI"     "thermal inertia"         "J/m2/K/s0.5"
-state  real   slpx            ij   misc  1  -  i012rd  "SLOPEX"      "slope x direction"       "rad"
-state  real   slpy            ij   misc  1  -  i012rd  "SLOPEY"      "slope y direction"       "rad"
-state  real   mars_emiss      ij   misc  1  -  i012rd  "MARS_EMISS"  "emissivity"              "0 - 1 fraction"
-state  real   mars_cice       ij   misc  1  -  i012rd  "MARS_CICE"   "co2 ice"                 "kg"
-state  real   mars_wice       ij   misc  1  -  i012rd  "MARS_WICE"   "h2o ice"                 "kg/m2"
-state  real   mars_tsoil     ilj   misc  1  -  i012rd  "MARS_TSOIL"  "soil temperatures"       "K"
-state  real   mars_isoil     ilj   misc  1  -  i012rd  "MARS_ISOIL"  "soil thermal inertia"    "tiu"
-state  real   mars_dsoil     ilj   misc  1  -  i012rd  "MARS_DSOIL"  "soil depths"             "m"
-state  real   mars_gw        ilj   misc  1  -  i012rd  "MARS_GW"     "gwparam"                 " "
+#### 'm_' prefix is to avoid redundancies with possible existing terrestrial variables
+####
+####          vvvv nom pour module_initialize, solve_em, lmd_driver (interne fortran)
+####                                                vvvv nom fichier netCDF (important initialisation
+################################################################################################################
+state  real   m_albedo     ij   misc  1  -  i012rd  "MARS_ALB"     "albedo of naked ground"   "0 - 1 fraction"
+state  real   m_ti         ij   misc  1  -  i012rd  "MARS_TI"      "thermal inertia"          "J/m2/K/s0.5"
+state  real   m_z0         ij   misc  1  -  i012rd  "MARS_Z0"      "surface roughness"        "m"
+state  real   slpx         ij   misc  1  -  i012rd  "SLOPEX"       "slope x direction"        "rad"
+state  real   slpy         ij   misc  1  -  i012rd  "SLOPEY"       "slope y direction"        "rad"
+state  real   m_emiss      ij   misc  1  -  i012rd  "MARS_EMISS"   "emissivity"               "0 - 1 fraction"
+state  real   m_co2ice     ij   misc  1  -  i012rd  "MARS_CICE"    "co2 ground ice"           "kg/m2"
+state  real   m_h2oice     ij   misc  1  -  i012rd  "MARS_WICE"    "h2o ground ice"           "kg/m2"
+state  real   m_fluxrad    ij   misc  1  -  i012rd  "MARS_FLUXRAD" "net rad flux at surf"     "W.m-2"
+state  real   m_wstar      ij   misc  1  -  i012rd  "MARS_WSTAR"   "free convection velocity" "m.s-1"
+state  real   m_tsurf      ij   misc  1  -  i012rd  "MARS_TSURF"   "surface temperature"      "K"
+state  real   m_tsoil     ilj   misc  1  -  i012rd  "MARS_TSOIL"   "soil temperatures"        "K"
+state  real   m_q2        ikj   misc  1  Z  i012rd  "MARS_Q2"      "parameterized TKE"        "kg.m-3"
+state  real   m_isoil     ilj   misc  1  -  i012rd  "MARS_ISOIL"   "soil thermal inertia"     "tiu"
+state  real   m_dsoil     ilj   misc  1  -  i012rd  "MARS_DSOIL"   "soil depths"              "m"
+state  real   m_gw        ilj   misc  1  -  i012rd  "MARS_GW"      "gwparam"                  " "
 ####
 ####
 ####MARS MARS MARS MARS MARS
 ####MARS MARS MARS MARS MARS
-
-
 
 #-----------------------------------------------------------------------------------------------------------------------------------------------------------------
@@ -341,15 +351,4 @@
 ##
 state    real   ptot           ikj     dyn_em      1         -      irh       "PTOT"        "total pressure"      "Pa"
-####### if you choose h here, you will probably want not to output u,v,w,t,etc...
-state    real   uave           ikj     dyn_em      1         -      ir       "UAVE"        "average zonal wind"  "m/s"
-state    real   ustd           ikj     dyn_em      1         -      ir       "USTD"        "std dev zonal wind"  "m/s"
-state    real   vave           ikj     dyn_em      1         -      ir       "VAVE"        "average meridional wind"  "m/s"
-state    real   vstd           ikj     dyn_em      1         -      ir       "VSTD"        "std dev meridional wind"  "m/s"
-state    real   wave           ikj     dyn_em      1         -      ir       "WAVE"        "average vertical wind"  "m/s"
-state    real   wstd           ikj     dyn_em      1         -      ir       "WSTD"        "std dev vertical wind"  "m/s"
-state    real   tave           ikj     dyn_em      1         -      ir       "TAVE"        "average pert. potential temperature"  "K"
-state    real   tstd           ikj     dyn_em      1         -      ir       "TSTD"        "std dev pert. potential temperature"  "K"
-#######
-## ajouter tk, ptot, phtot ??? les deux derniers sont assez smooth...
 
 #                                               
@@ -992,5 +991,5 @@
 state    real  CDA              ij      misc        1         -      r        "CDA"                   "DRAG COEFF AT LOWEST MODEL LVL"                      ""
 state    real  UST              ij      misc        1         -      r        "UST"                   "U* IN SIMILARITY THEORY"                      "m s-1"    
-state    real  USTM             ij      misc        1         -      r        "USTM"                  "U* IN SIMILARITY THEORY WITHOUT VCONV"        "m s-1"
+state    real  USTM             ij      misc        1         -      rh       "USTM"                  "U* IN SIMILARITY THEORY WITHOUT VCONV"        "m s-1"    #SAVEMARS2 ustar
 i1       real  HOL              ij      misc        1         -      -        "HOL"                   "PBL HEIGHT OVER MONIN-OBUKHOV LENGTH"         ""
 state    real  RMOL             ij      misc        1         -      r        "RMOL"                  "1./Monin Ob. Length"                      ""
@@ -999,5 +998,5 @@
 state    real  CAPG             ij      misc        1         -      r        "CAPG"                  "HEAT CAPACITY FOR SOIL"                       "J K-1 m-3"      
 state    real  THC              ij      misc        1         -      r        "THC"                   "THERMAL INERTIA"                              "Cal cm-1 K-1 s-0.5"      
-state    real  HFX              ij      misc        1         -      r       "HFX"                   "UPWARD HEAT FLUX AT THE SURFACE"              "W m-2"
+state    real  HFX              ij      misc        1         -      rh       "HFX"                   "UPWARD HEAT FLUX AT THE SURFACE"              "W m-2"     #SAVEMARS2 sensheat
 state    real  QFX              ij      misc        1         -      r       "QFX"                   "UPWARD MOISTURE FLUX AT THE SURFACE"          "kg m-2 s-1"      
 state    real  LH               ij      misc        1         -      r       "LH"                    "LATENT HEAT FLUX AT THE SURFACE"              "W m-2"
@@ -1247,6 +1246,8 @@
 ######
 rconfig  integer  mars      namelist,physics  max_domains  0        rh   "mars"      "model mode"              ""
+#rconfig  real     planet_type namelist,physics 1           1        rh   "planet_type"  "" ""
 rconfig  real     init_TI   namelist,physics  max_domains  0        irh  "init_TI"   "thermal inertia"         ""
 rconfig  real     init_AL   namelist,physics  max_domains  0        irh  "init_AL"   "albedo"                  ""
+rconfig  real     init_Z0   namelist,physics  max_domains  0        irh  "init_Z0"   "surface roughness"       ""
 rconfig  real     init_U    namelist,physics  max_domains  0        irh  "init_U"    "zonal wind"              ""
 rconfig  real     init_V    namelist,physics  max_domains  0        irh  "init_V"    "meridional wind"         ""
@@ -1260,4 +1261,5 @@
 ####### MARS SPECIFIC NAMELIST ENTRIES
 #######
+rconfig   character   planet_type         namelist,physics      1              "planet" -       "planet_type"   "Selection of the planet type (mars ou venus)" ""
 rconfig   integer     mp_physics          namelist,physics	max_domains    0       rh       "mp_physics"            ""      ""
 rconfig   integer     gsfcgce_hail        namelist,physics      1              0       rh       "gsfcgce select hail/graupel"  ""      ""
@@ -1393,5 +1395,5 @@
 rconfig   logical     pd_moist_dfi        namelist,dynamics	max_domains    .false.  rh    "pd_moist_dfi"    "positive-definite RK3 transport switch"      ""
 rconfig   logical     pd_chem             namelist,dynamics	max_domains    .false. rh    "pd_chem"          "positive-definite RK3 transport switch"      ""
-rconfig   logical     pd_scalar           namelist,dynamics	max_domains    .false. rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
+rconfig   logical     pd_scalar           namelist,dynamics	max_domains    .true. rh    "pd_scalar"        "positive-definite RK3 transport switch"      ""
 rconfig   logical     pd_tke              namelist,dynamics	max_domains    .false. rh    "pd_tke"           "positive-definite RK3 transport switch"      ""
 rconfig   logical top_radiation           namelist,dynamics	max_domains    .false. rh    "top_radiation"         ""      ""
@@ -1489,5 +1491,7 @@
 package   water        mars==1                      -              moist:qv;scalar:qh2o,qh2o_ice
 package   dust         mars==2                      -              moist:qv;scalar:qdust
+package   dust2eq      mars==3                      -              scalar:qdust,qdustn
 package   radioac      mars==20                     -              scalar:qtrac1
+package   radioac2     mars==21                     -              scalar:upward,downward
 ##### MARS OPTIONS
 ##### MARS OPTIONS
